- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

EC_GFp_simple_method, EC_GFp_mont_method, EC_GFp_nist_method, EC_GFp_nistp224_method, EC_GFp_nistp256_method, EC_GFp_nistp521_method, EC_GF2m_simple_method, EC_METHOD_get_field_type - Functions for obtaining EC_METHOD objects

# SYNOPSIS

     #include <openssl/ec.h>

     const EC_METHOD *EC_GFp_simple_method(void);
     const EC_METHOD *EC_GFp_mont_method(void);
     const EC_METHOD *EC_GFp_nist_method(void);
     const EC_METHOD *EC_GFp_nistp224_method(void);
     const EC_METHOD *EC_GFp_nistp256_method(void);
     const EC_METHOD *EC_GFp_nistp521_method(void);

     const EC_METHOD *EC_GF2m_simple_method(void);

     int EC_METHOD_get_field_type(const EC_METHOD *meth);

# DESCRIPTION

The Elliptic Curve library provides a number of different implementations through a single common interface. When constructing a curve using EC_GROUP_new (see BN_mod_mul_montgomery(3)). EC_GFp_nist_method offers an implementation optimised for use with NIST recommended curves (NIST curves are available through EC_GROUP_new_by_curve_name as described in RETURN VALUES

All EC_GFp* functions and EC_GF2m_simple_method always return a const pointer to an EC_METHOD structure.

EC_METHOD_get_field_type returns an integer that identifies the type of field the EC_METHOD structure supports.

# SEE ALSO

EC_GROUP_new(3), EC_POINT_new(3), EC_KEY_new(3), BN_mod_mul_montgomery(3)

# COPYRIGHT

Copyright 2013-2017 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.